# Generated by Django 2.0.5 on 2021-06-22 13:48

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [("document", "0051_auto_20210622_1346")]

    def create_change_request_category(apps, schemas):
        SOWCategory = apps.get_model("document", "SOWCategory")
        SOWCategory.CHANGE_REQUEST = "Change Request"
        SOWCategory.objects.create(name=SOWCategory.CHANGE_REQUEST)

    def delete_change_request_category(apps, schemas):
        SOWCategory = apps.get_model("document", "SOWCategory")
        SOWCategory.CHANGE_REQUEST = "Change Request"
        SOWCategory.objects.filter(name=SOWCategory.CHANGE_REQUEST).delete()

    operations = [
        migrations.RunPython(create_change_request_category, delete_change_request_category)
    ]
